gr::gfdm::auto_cross_corr_multicarrier_sync_cc Class Reference

Simplified version of "Improved Preamble-Aided Timing Estimation for OFDM Systems". More...

`#include <auto_cross_corr_multicarrier_sync_cc.h>`

Inheritance diagram for gr::gfdm::auto_cross_corr_multicarrier_sync_cc:
[legend]

## Public Types

typedef std::complex< float > | gfdm_complex
typedef boost::shared_ptr< auto_cross_corr_multicarrier_sync_cc > | sptr
Public Types inherited from gr::gfdm::gfdm_kernel_utils
typedef std::complex< float > | gfdm_complex

## Public Member Functions

| auto_cross_corr_multicarrier_sync_cc (int subcarriers, int cp_len, std::vector< gfdm_complex > preamble)
| ~auto_cross_corr_multicarrier_sync_cc ()
int | detect_frame_start (const gfdm_complex *p_in, int ninput_size)
void | cross_correlate_preamble (gfdm_complex *p_out, const gfdm_complex *p_in, const int ninput_size)
void | fixed_lag_auto_correlate (gfdm_complex *p_out, const gfdm_complex *p_in, const int ninput_size)
int | find_peak (float *vals, const int ninput_size)
float | calculate_preamble_attenuation (const gfdm_complex *p_in)
void | normalize_power_level (gfdm_complex *p_out, const gfdm_complex *p_in, const float norm_factor, const int ninput_size)
float | last_cfo ()
float | frame_phase ()
float | preamble_attenuation ()
int | subcarriers ()
int | cp_len ()
Public Member Functions inherited from gr::gfdm::gfdm_kernel_utils
| gfdm_kernel_utils ()
| ~gfdm_kernel_utils ()
fftwf_plan | initialize_fft (gfdm_complex *out_buf, gfdm_complex *in_buf, const int fft_size, bool forward)
float | calculate_signal_energy (const gfdm_complex *p_in, const int ninput_size)

## Detailed Description

Simplified version of "Improved Preamble-Aided Timing Estimation for OFDM Systems".

## Member Typedef Documentation

## gfdm_complex

typedef std::complex<float> gr::gfdm::auto_cross_corr_multicarrier_sync_cc::gfdm_complex

## sptr

typedef boost::shared_ptr<auto_cross_corr_multicarrier_sync_cc> gr::gfdm::auto_cross_corr_multicarrier_sync_cc::sptr

## Constructor & Destructor Documentation

## auto_cross_corr_multicarrier_sync_cc()

gr::gfdm::auto_cross_corr_multicarrier_sync_cc::auto_cross_corr_multicarrier_sync_cc | ( | int | subcarriers,
|  | int | cp_len,
|  | std::vector< gfdm_complex > | preamble
| ) |  |

## ~auto_cross_corr_multicarrier_sync_cc()

gr::gfdm::auto_cross_corr_multicarrier_sync_cc::~auto_cross_corr_multicarrier_sync_cc | ( |  | ) |

## Member Function Documentation

## calculate_preamble_attenuation()

float gr::gfdm::auto_cross_corr_multicarrier_sync_cc::calculate_preamble_attenuation | ( | const gfdm_complex * | p_in | ) |

## cp_len()

int gr::gfdm::auto_cross_corr_multicarrier_sync_cc::cp_len | ( |  | ) |

inline

## cross_correlate_preamble()

void gr::gfdm::auto_cross_corr_multicarrier_sync_cc::cross_correlate_preamble | ( | gfdm_complex * | p_out,
|  | const gfdm_complex * | p_in,
|  | const int | ninput_size
| ) |  |

## detect_frame_start()

int gr::gfdm::auto_cross_corr_multicarrier_sync_cc::detect_frame_start | ( | const gfdm_complex * | p_in,
|  | int | ninput_size
| ) |  |

## find_peak()

int gr::gfdm::auto_cross_corr_multicarrier_sync_cc::find_peak | ( | float * | vals,
|  | const int | ninput_size
| ) |  |

## fixed_lag_auto_correlate()

void gr::gfdm::auto_cross_corr_multicarrier_sync_cc::fixed_lag_auto_correlate | ( | gfdm_complex * | p_out,
|  | const gfdm_complex * | p_in,
|  | const int | ninput_size
| ) |  |

## frame_phase()

float gr::gfdm::auto_cross_corr_multicarrier_sync_cc::frame_phase | ( |  | ) |

inline

## last_cfo()

float gr::gfdm::auto_cross_corr_multicarrier_sync_cc::last_cfo | ( |  | ) |

inline

## normalize_power_level()

void gr::gfdm::auto_cross_corr_multicarrier_sync_cc::normalize_power_level | ( | gfdm_complex * | p_out,
|  | const gfdm_complex * | p_in,
|  | const float | norm_factor,
|  | const int | ninput_size
| ) |  |

## preamble_attenuation()

float gr::gfdm::auto_cross_corr_multicarrier_sync_cc::preamble_attenuation | ( |  | ) |

inline

## subcarriers()

int gr::gfdm::auto_cross_corr_multicarrier_sync_cc::subcarriers | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- auto_cross_corr_multicarrier_sync_cc.h